Bug 204281 - rmmod cifs leads to kernel panic
rmmod cifs leads to kernel panic
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Plans
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-28 04:10 EDT by Anders
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 23:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen dump of panic (13.53 KB, image/png)
2006-08-28 04:10 EDT, Anders
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 3015 None None None Never

  None (edit)
Description Anders 2006-08-28 04:10:26 EDT
Description of problem:
  When mounting and then unmounting a CIFS file system, and subsequently quickly
issuing 'rmmod cifs' - the system will hang solid after a few seconds.

Version-Release number of selected component (if applicable):
RHEL4.4, kernel 2.6.9-42, samba 3.0.10-1.4E.9

How reproducible:
Very, can reproduce it at will.

Steps to Reproduce:
1. Configure samba and a share
2. mount said share (mount -t cifs //localhost/share /mnt/share)
3. umount /mnt/share
4. rmmod cifs
  
Actual results:
Total system hang after a few seconds

Expected results:
System working normally

Additional info:
Attaching screen capture of crash
Comment 1 Anders 2006-08-28 04:10:27 EDT
Created attachment 135028 [details]
Screen dump of panic
Comment 5 Jason Baron 2006-09-14 12:01:26 EDT
committed in stream U5 build 42.10. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 6 RHEL Product and Program Management 2006-10-12 19:17:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Jay Turner 2006-10-17 11:35:37 EDT
QE ack for RHEL4.5.
Comment 10 Red Hat Bugzilla 2007-05-07 23:26:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.